using System;
using System.ComponentModel.DataAnnotations;

namespace AutomatizovanySklad.Core.Entity {
  public class Subjekt : ITrackableEntity {
    public int Id { get; set; }

    [StringLength(100)]
    public string Jmeno { get; set; }

    [StringLength(100)]
    public string ICO { get; set; }

    [StringLength(100)]
    public string DIC { get; set; }

    [StringLength(255)]
    public string Poznamka { get; set; }

    public TypSubjektu TypSubjektu { get; set; }

    public virtual Adresa Adresa { get; set; } = new Adresa();

    public virtual Kontakt Kontakt { get; set; } = new Kontakt();

    public DateTime DatumVytvoreni { get; set; }

    public int VytvorilId { get; set; }

    public DateTime? DatumUpravy { get; set; }

    public int UpravilId { get; set; }

    public bool JeAktivni { get; set; }
  }
}